package kudos.ide.action.key;

import java.awt.event.*;
import javax.swing.text.*;

import kudos.ide.form.*;
import kudos.ide.form.textarea.*;

public class BackSpace extends EditAction
{
	public void actionPerformed(ActionEvent evt)
	{
		MainView mainView = getMainView(evt);
		EditTextArea editTextArea = mainView.getEditTextArea();

		if(!editTextArea.isEditable())
		{
			mainView.getToolkit().beep();
			return;
		}

		if(editTextArea.getSelectionStart()
		   != editTextArea.getSelectionEnd())
		{
			editTextArea.setSelectedText("");
		}
		else
		{
			int caret = editTextArea.getCaretPosition();
			if(caret == 0)
			{
				mainView.getToolkit().beep();
				return;
			}
	
			try
			{
				mainView.getBuffer().remove(caret - 1,1);
			}
			catch(BadLocationException bl){}
		}
	}
}