package kudos.ide.action.key;

import java.awt.event.*;

import kudos.ide.buffer.*;
import kudos.ide.form.*;
import kudos.ide.form.textarea.*;

public class Enter extends EditAction
{
	public void actionPerformed(ActionEvent evt)
	{
		MainView mainView = getMainView(evt);
		Buffer buffer = mainView.getBuffer();
		EditTextArea editTextArea = mainView.getEditTextArea();

		if(!editTextArea.isEditable())
		{
			mainView.getToolkit().beep();
			return;
		}

		editTextArea.setSelectedText("\n");

		int selStart = editTextArea.getSelectionStart();
		int selEnd = editTextArea.getSelectionEnd();

		if(selStart == selEnd)
		{
			buffer.indentLine(editTextArea,editTextArea.getCaretLine(),false);
		}
	} 
}