package kudos.ide.action.key;

import javax.swing.text.BadLocationException;
import javax.swing.text.Element;
import java.awt.event.ActionEvent;

import kudos.ide.form.MainView;
import kudos.ide.form.textarea.*;
import kudos.ide.buffer.Buffer;

public class LocateBracket extends EditAction
{
	public void actionPerformed(ActionEvent evt)
	{
		MainView mainView = getMainView(evt);
		Buffer buffer = mainView.getBuffer();
		EditTextArea editTextArea = mainView.getEditTextArea();
		int dot = editTextArea.getCaretPosition();

		try
		{
			int bracket = TextUtilities.findMatchingBracket(
				buffer,Math.max(0,dot - 1));
			if(bracket != -1)
			{
				editTextArea.setCaretPosition(bracket + 1);
				return;
			}
		}
		catch(BadLocationException bl){}

		mainView.getToolkit().beep();
	}
}