//2000-06-09
package kudos.ide.action.menu;

import java.awt.event.*;
import javax.swing.undo.*;

import kudos.ide.form.*;
import kudos.ide.image.*;

public class RedoAction extends KUDOSActions
{
	private MainControl mainControl;
	private UndoManager undo;
	private UndoAction undoAction;

	public RedoAction(MainControl mainControl, String command)
	{
		super(command, ImageLoader.getIcon(ImageLoader.controlIconPaths[ImageLoader.REDO]));
		this.mainControl = mainControl;
		this.undo = mainControl.undo;
		setField();
	}
	private void setField()
	{
		command = "REDO";
		TOOLTIP_TEXT = "Redo";
		DESCRIPTION = "";
		MNEMONIC = 'r';
		SHORT_KEY = KeyEvent.VK_Y;
		SHORT_KEY_MASK = ActionEvent.CTRL_MASK;
	}
	public void actionPerformed(ActionEvent e)
	{
		mainControl.doProcess(e, this);
		try 
		{
			undo.redo();
		}
		catch (CannotRedoException ex)
		{
			ex.printStackTrace();
		}
	}
}