package kudos.ide.form;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JVMHelpTextBox extends JTextArea {
  MainView mainView = null;

  public JVMHelpTextBox(MainView mainView)
  {
    this.mainView = mainView;
    addComponentListener(new BoxHandler());
    setBackground(Color.lightGray);
    setEditable(false);
    setLineWrap(false);
    setMargin(new Insets(5,5,5,5));
    setHelpText("Class information:");
  }

  public void setHelpText(String text)
  {
    setText(text);
  }

  private void setBoxSize()
  {
    mainView.setSplitPaneSizeHeight();
  }

  public class BoxHandler extends ComponentAdapter
  {
    public void componentResized(ComponentEvent e)
    {
      setBoxSize();
    }
  }
}
