//2000-06-13
package kudos.ide.tools;

import java.awt.*;
import javax.swing.event.*;
import javax.swing.undo.*;

import kudos.ide.form.*;
import kudos.ide.action.menu.*;

public class UndoHandler implements UndoableEditListener
{
  private MainControl mainControl;
  private UndoManager undo;
  private UndoAction undoAction;
  private RedoAction redoAction;

  public UndoHandler(MainControl mainControl)
  {
    this.mainControl = mainControl;
    this.undo = mainControl.undo;
    this.undoAction = mainControl.undoAction;
    this.redoAction = mainControl.redoAction;
  }
  public void undoableEditHappened(UndoableEditEvent e)
  {
    undo.addEdit(e.getEdit());
    //undoAction.update();
    //redoAction.update();
  }
}
