/* -*---------------------------------------------------------
 * Uses: Java 2 Platform SE v1.3
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * ClassTreeNode.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. ETRI-CSTL. All lefts reserved.
 *
 * $Log$
 */

package kudos.jvm.util;


/**
 * Represents a tree node. Since a tree can be identified
 * uniquely by its root node, a tree node represents a 
 * 'tree' which is rooted at this tree node.
 *
 * @author Cheoljoo Jeong
 */

public abstract class ClassTreeNode {
  public abstract Object accept(ClassTreeNodeVisitorI visitor);
}

