/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * CallFrame.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.lang;

import kudos.exns.*;

/**
 * A call frame represents the snapshot of a computation at
 * a given time. It is used to record the state of a pending
 * computation and also used to implement a continuation.
 *
 * @author Cheoljoo Jeong
 */

public class CallFrame {
  private Expr nextExpr;        // return address
  private Environment env;      // ptr to var bindings
  private CallFrame prevFrame;  

  /**
   * constructor
   */
  public CallFrame() {
    
  }
}














