/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * ResuambleI.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.lang;

import kudos.exns.*;

/**
 * A resumable object represents a suspended computation which
 * can be resumed later.
 *
 * @author Cheoljoo Jeong
 */

public interface ResumableI {

  /**
   * Resumes the suspended computation.
   */
  public Object resume(Object v) throws SchemeJException;
}

