/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * DefineForm.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.exns.*;

/**
 * Represents the "define" form.
 *
 * @author Cheoljoo Jeong
 */

public class DefineForm extends Expr {
  public VarRefExpr var;
  public Expr defn;

  /**
   * constructor
   */
  public DefineForm(VarRefExpr var, Expr defn) {
    this.var = var;
    this.defn = defn;
  }

  /**
   * Returns the expression type.
   */
  public int getExprType() {
    return ExprType.TDefineForm;
  }

}
