/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * DelayExpr.java: AST node for delay expressions
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.exns.*;


/**
 * Represents delay expressions.
 *
 * @author Cheoljoo Jeong
 */

public class DelayExpr extends Expr {
  public Expr expr;
  
  /**
   * constructor
   */
  public DelayExpr(Expr expr) {
    this.expr = expr;
  }

  /**
   * Returns the expression type.
   */
  public int getExprType() {
    return ExprType.TDelayExpr;
  }

}
