/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * DoBindingExpr.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.schemej.util.*;


/**
 * Represents bindings in do expressions.
 *
 * @author Cheoljoo Jeong
 */

public class DoBindingExpr extends BindingExpr {
  public Expr step;

  /**
   * constructor
   */
  public DoBindingExpr(VarRefExpr var, Expr init, Expr step) {
    super(var, init);
    this.step = step;
  }
}
