/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * ExprType.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

/**
 * Defines the expression types.
 *
 * @author Cheoljoo Jeong
 */

public class ExprType {
  public static final int TApplyExpr      = 0;
  public static final int TBeginExpr      = 1;
  public static final int TCaseExpr       = 2;
  public static final int TCondExpr       = 3;
  public static final int TDelayExpr      = 4;
  public static final int TDoExpr         = 5;
  public static final int TIfExpr         = 6;
  public static final int TLambdaExpr     = 7;
  public static final int TLetExpr        = 8;
  public static final int TLetStarExpr    = 9;
  public static final int TLetrecExpr     = 10;
  public static final int TLiteralExpr    = 11;
  public static final int TQuasyQuoteExpr = 12;
  public static final int TQuoteExpr      = 13;
  public static final int TSetExpr        = 14;
  public static final int TVarRefExpr     = 15;
  public static final int TDefineForm     = 16;
}



