/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * LetrecExpr.java: AST node for letrec expressions
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;

/**
 * Represents letrec expressions.
 *
 * @author Cheoljoo Jeong
 */

public class LetrecExpr extends LetExpr {

  /** 
   * constructor
   */
  public LetrecExpr(BindingExpr[] decls, Expr body) {
    super(decls, body);
  }

  /**
   * Returns the expression type.
   */
  public int getExprType() {
    return ExprType.TLetrecExpr;
  }

}







