/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * QuasyQuoteExpr.java: AST node for quasy-quoted expressions
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.exns.*;


/**
 * Represents quasyquote expressions.
 * @author Cheoljoo Jeong
 */

public class QuasyQuoteExpr extends Expr {
  public Expr expr;

  /**
   * constructor
   */
  public QuasyQuoteExpr(Expr expr) {
    this.expr = expr;
  }
  
  /**
   * Returns the expression type.
   */
  public int getExprType() {
    return ExprType.TQuasyQuoteExpr;
  }
}









