/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * VarRefExpr.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.exns.*;

/**
 * Represents a variable reference expression;
 * the value variable reference is the value stored in the 
 * location to which the variable is bound
 *
 * @author Cheoljoo Jeong
 */

public class VarRefExpr extends Expr {
  public String name;

  /**
   * constructor
   */
  public VarRefExpr(String name) {
    this.name = name;
  }

  /**
   * Returns the expression type.
   */
  public int getExprType() {
    return ExprType.TVarRefExpr;
  }
}

