/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * SExprVisitorI.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej.util;

import kudos.exns.*;

/**
 * Interface for all SExpr class visitors.
 *
 * @author Cheoljoo Jeong
 */
public interface SExprVisitorI {
  public Object visitAtom(Atom atom) throws SchemeJException;
  public Object visitPair(Pair pair) throws SchemeJException;
  public Object visitNullList(NullList nullList) throws SchemeJException;
}
