/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * ArgumentTypeErrorException.java:
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.exns;

/**
 * ArgumentTypeErrorException is thrown when we evaluate an
 * application and the argument type is incorrect.
 *
 * @author Cheoljoo Jeong
 */

public class ArgumentTypeErrorException extends SchemeJException {
  
  /**
   * constructor
   */
  public ArgumentTypeErrorException() {
  }

  /**
   * constructor
   */
  public ArgumentTypeErrorException(String msg) {
    super(msg);
  }

  /**
   * constructor
   */
  public ArgumentTypeErrorException(int errorClass, String msg) {
    super(errorClass, msg);
  }
}
