/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * ControlStackEmptyException.java:
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.exns;

/**
 * ControlStackEmptyException is raised when pop() or top() is 
 * invoked when the control stack is empty.
 *
 * @author Cheoljoo Jeong
 */

public class ControlStackEmptyException extends Exception {

  /**
   * constructor
   */
  public ControlStackEmptyException() {}

  /**
   * constructor
   */
  public ControlStackEmptyException(String msg) {
    super(msg);
  }
}

