/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * SExprParseException.java:
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.exns;

/**
 * SExprParseExceptions are thrown when there's an error while
 * parsing SExpr's into Expr's.
 *
 * @author Cheoljoo Jeong
 */

public class SExprParseException extends SchemeJException {

  /**
   * constructor
   */
  public SExprParseException() {}

  /**
   * constructor
   */
  public SExprParseException(String msg) {
    super(msg);
  }

  /**
   * constructor
   */
  public SExprParseException(int errorClass, String msg) {
    super(errorClass, msg);
  }
}
