/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * UnboundVarException.java:
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.exns;

/**
 * UnboundVarException is thrown when we cannot find a binding
 * for the given variable while looking up the environment.
 *
 * @author Cheoljoo Jeong
 */

public class UnboundVarException extends SchemeJException {

  /**
   * constructor
   */
  public UnboundVarException() {}

  /**
   * constructor
   */
  public UnboundVarException(String msg) {
    super(msg);
  }

}
