package kudos.ide.action.key;

import java.awt.event.*;

import kudos.ide.form.*;
import kudos.ide.form.textarea.*;

public class InsertChar extends EditAction
{
	public void actionPerformed(ActionEvent evt)
	{
		MainView mainView = getMainView(evt);
		EditTextArea editTextArea = mainView.getEditTextArea();

		String str = evt.getActionCommand();

		int repeatCount = mainView.getInputHandler().getRepeatCount();

		StringBuffer buf = new StringBuffer();
		for(int i = 0; i < repeatCount; i++)
			buf.append(str);
		editTextArea.overwriteSetSelectedText(buf.toString());
	}

	public boolean isRepeatable()
	{
		return false;
	}
}