package kudos.ide.action.key;

import java.awt.datatransfer.*;
import java.awt.event.*;

import kudos.ide.form.*;
import kudos.ide.form.textarea.*;

public class Paste extends EditAction
{
	public void actionPerformed(ActionEvent evt)
	{
		MainView mainView = getMainView(evt);
		EditTextArea editTextArea = mainView.getEditTextArea();

		if(!editTextArea.isEditable())
		{
			mainView.getToolkit().beep();
			return;
		}

		Registers.Register register = Registers.getRegister('$');
		String selection = register.toString();

		if(selection == null)
		{
			mainView.getToolkit().beep();
		return;
		}
		editTextArea.setSelectedText(selection);
	}
}