package kudos.ide.action.key;

import java.awt.event.*;

import kudos.ide.form.*;
import kudos.ide.form.textarea.*;

public class Right extends EditAction
{
	private boolean select;

	public Right()
	{
		this(false);
	}

	public Right(boolean select)
	{
		this.select = select;
	}

	public void actionPerformed(ActionEvent evt)
	{
		MainView mainView = getMainView(evt);
		EditTextArea editTextArea = mainView.getEditTextArea();

		int caret = editTextArea.getCaretPosition();
		if(caret == editTextArea.getDocumentLength())
		{
			mainView.getToolkit().beep();
			return;
		}

		if(select)
			editTextArea.select(editTextArea.getMarkPosition(),	caret + 1);
		else
			editTextArea.setCaretPosition(caret + 1);
	}
}