//2000-06-09
package kudos.ide.action.menu;

import java.awt.event.*;

import kudos.ide.form.*;
import kudos.ide.image.*;

public class OpenFileAction extends KUDOSActions
{
	private MainControl mainControl;

	public OpenFileAction(MainControl mainControl, String command)
	{
		super(command, ImageLoader.getIcon(ImageLoader.controlIconPaths[ImageLoader.OPEN_FILE]));
		this.mainControl = mainControl;
		setField();
	}
	private void setField()
	{
		command = "OPEN_FILE";
		TOOLTIP_TEXT = "Open File...";
		DESCRIPTION = "";
		MNEMONIC = 'o';
		SHORT_KEY = KeyEvent.VK_O;
		SHORT_KEY_MASK = ActionEvent.CTRL_MASK;
	}
	public void actionPerformed(ActionEvent e)
	{
		mainControl.doProcess(e, this);
	}
}