//2000-06-09
package kudos.ide.action.menu;

import java.awt.event.*;
import javax.swing.undo.*;

import kudos.ide.form.*;
import kudos.ide.image.*;

public class UndoAction extends KUDOSActions
{
	private MainControl mainControl;

	private UndoManager undo;
	private RedoAction redoAction;

	public UndoAction(MainControl mainControl, String command)
	{
		super(command, ImageLoader.getIcon(ImageLoader.controlIconPaths[ImageLoader.UNDO]));
		this.mainControl = mainControl;
		this.undo = mainControl.undo;
		setField();
	}
	private void setField()
	{
		command = "UNDO";
		TOOLTIP_TEXT = "Undo";
		DESCRIPTION = "";
		MNEMONIC = 'u';
		SHORT_KEY = KeyEvent.VK_Z;
		SHORT_KEY_MASK = ActionEvent.CTRL_MASK;
	}
	public void actionPerformed(ActionEvent e)
	{
		mainControl.doProcess(e, this);
		try 
		{
			undo.undo();
		}
		catch (CannotUndoException ex)
		{
			ex.printStackTrace();
		}
	}
}