/* -*---------------------------------------------------------
 * Uses: Java 2 Platform SE v1.3
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * LeafNode.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. ETRI-CSTL. All lefts reserved.
 *
 * $Log$
 */

package kudos.jvm.util;

/**
 * Represents an leaf node of a tree.
 *
 * @author Cheoljoo Jeong
 */
public class LeafNode extends ClassTreeNode {
  Object nodeValue;
  
  /**
   * Visitor method.
   */
  public Object accept(ClassTreeNodeVisitorI visitor) {
    return visitor.visitLeafNode(this);
  }

}


