/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * ApplyExpr.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.exns.*;

/**
 * Represents procedure calls (a.k.a. combinations or applications).
 *
 * @author Cheoljoo Jeong
 */

public class ApplyExpr extends Expr {
  public Expr rator;
  public Expr[] rands;

  /**
   * constructor
   */
  public ApplyExpr(Expr rator, Expr[] rands) {
    this.rator = rator;
    this.rands = new Expr[rands.length];
    for (int i = 0; i < rands.length; i++) {
      this.rands[i] = rands[i];
    }
  }

  /**
   * Returns the expression type.
   */
  public int getExprType() {
    return ExprType.TApplyExpr;
  }
}



