/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * BindingExpr.java: subobjects in Let*Expr class
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.schemej.util.*;


/**
 * Represents bindings in let expressions.
 *
 * @author Cheoljoo Jeong
 */

public class BindingExpr {
  public VarRefExpr var;
  public Expr init;

  /**
   * constructor
   */
  public BindingExpr(VarRefExpr var, Expr init) {
    this.var = var;
    this.init = init;
  }
}
