/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * CaseClauseExpr.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.schemej.util.*;
import kudos.lang.*;

/**
 * Represents clause expressions within case expressions;
 * not a full-fledged expression.
 *
 * @author Cheoljoo Jeong
 */

public class CaseClauseExpr {
  // each datum is an external representation of some obj
  public SExpr[] data;  
  public Expr[] exprs;
  
  /** 
   * constructor
   */
  public CaseClauseExpr(Atom[] data, Expr[] exprs) {
    this.data = new Atom[data.length];
    for (int i = 0; i < data.length; i++) {
      this.data[i] = data[i];
    }

    this.exprs = new Expr[exprs.length];
    for (int i = 0; i < exprs.length; i++) {
      this.exprs[i] = exprs[i];
    }
  }
}

