/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * LiteralExpr.java: 
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.exns.*;

/**
 * Represents a literal expression such as numbers, booleans, 
 * and so on.
 *
 * @author Cheoljoo Jeong
 */

public class LiteralExpr extends Expr {
  public Object value;

  /**
   * constructor
   */
  public LiteralExpr(Object value) {
    this.value = value;
  }

  /**
   * Returns the expression type.
   */
  public int getExprType() {
    return ExprType.TLiteralExpr;
  }

}
