/* -*---------------------------------------------------------
 * Uses: Classic VM (build JDK-1.2-V, green threads, sunwjit)
 * -*---------------------------------------------------------
 * @(#) $Id$
 *
 * SetExpr.java: AST node for set! expressions
 *   - created by Cheoljoo Jeong
 *
 * Copyleft(c) 2000. Cheoljoo Jeong. All lefts reserved.
 *
 * $Log$
 */

package kudos.schemej;

import kudos.lang.*;
import kudos.exns.*;


/**
 * Represents assignment expressions.
 *
 * @author Cheoljoo Jeong
 */

public class SetExpr extends Expr {
  VarRefExpr var;
  Expr expr;

  /**
   * constructor
   */
  public SetExpr(VarRefExpr var, Expr expr) {
    this.var = var;
    this.expr = expr;
  }

  /**
   * Returns the expression type.
   */
  public int getExprType() {
    return ExprType.TSetExpr;
  }
}
